## racket 5.1.1+dfsg1

=== collects/tests/web-server/stress/vs-hop/Makefile ===
dyn-server: dynamic.rkt
	ulimit -n 10000
	racket -t dynamic.rkt

static.txt: dynamic.rkt
	wget http://localhost:8000 -O static.txt

stat-server: static.txt static.rkt
	ulimit -n 10000
	racket -t static.rkt

dyn-httperf:
	httperf --hog --server localhost --port=8000 --rate=6000 --num-conn=5 --num-calls=1000

stat-httperf:
	httperf --hog --server localhost --port=8000 --rate=6000 --num-conn=5 --num-calls=1000

=== debian/changelog ===
racket (5.1.1+dfsg1-2) unstable; urgency=low

  * Collects is (for now) all architecture independant. 
    - Simplify package build (no more symlinking to /usr/lib/racket)
    - Split install step into architecture dependant/independent steps.
  * Patch for kFreeBSD: catch both SIGBUS (squeeze) and SIGSEGV (wheezy)
    from mprotect.
  * Patch: Disable building scribble docs for scribble (fallout from
    missing sigplan class)

 -- David Bremner <bremner@debian.org>  Thu, 12 May 2011 16:37:43 -0300

racket (5.1.1+dfsg1-1) unstable; urgency=low

  * New Upstream version
    - several copyright license clarification patches now upstream, thanks
      again to Eli Barzilay.
  * New patches for kFreeBSD: big thanks to Matthew Flatt.
    - re-enable 3m garbage collector
    - fix various build issues.

 -- David Bremner <bremner@debian.org>  Sat, 30 Apr 2011 08:33:44 -0300

racket (5.1+dfsg1-2) unstable; urgency=low

  * Cherry-pick patch from upstream to fix kFreeBSD build failures
  * Cherry-pick patches from upstream to fail gracefully when SSLv2 is not
    found.

 -- David Bremner <bremner@debian.org>  Mon, 25 Apr 2011 23:15:34 -0300

racket (5.1+dfsg1-1) unstable; urgency=low

  * New upstream version, plus DFSG compliance modifications.  
    + Thanks to Eli Barzilay of the PLT Scheme team for making a big effort
      of contacting people and updating licensing.
  * Build with HOME=/nonexistant. This prevents collects installed in user
    home directories from interfering with the build.
  * Use parallel=n to control collects build parallelism.

 -- David Bremner <bremner@debian.org>  Thu, 31 Mar 2011 19:34:19 -0300

racket (5.0.2-1) experimental; urgency=low

  [ David Bremner ]
  * New Upsteam version (Closes: #592688)
    + Fix FTBFS on mips with recent GCC. (Closes: #598615)

  [ James Vega ]
  * Update watch file with new upstream URL.
  * debian/rules:
    + Show which garbage collector the racket package was built with.
    + Use correct name for mzdyn based on which garbage collector was used.

 -- James Vega <jamessan@debian.org>  Fri, 19 Nov 2010 21:22:13 -0500

plt-scheme (4.2.4-2) unstable; urgency=low

  * Pull patch from upstream to fix building on Sparc.
  * debian/control: Change libjpeg62-dev Build-Depends to libjpeg-dev.
  * debian/rules: Use the Boehm garbage collector on archs where the 3m one
    doesn't work.

 -- James Vega <jamessan@debian.org>  Mon, 15 Feb 2010 08:00:11 -0500

plt-scheme (4.2.4-1) unstable; urgency=low

  [ Ari Pollak ]
  * Convert to 3.0 (quilt) format, no patches necessary yet

  [ James Vega ]
  * New upstream version
  * debian/control:
    - Add myself to Uploaders.
    - Change XS-Vcs-* to Vcs-* and correct a typo in the URLs.
    - Add ${misc:Depends}.
    - Remove description of ProfessorJ.
  * debian/rules:
    - Remove binary-post-install/plt-scheme target since collects/profj
      no longer exists.
    - Add -g to CFLAGS.
  * debian/overrides/plt-scheme: Add an override for the embedded-zlib while
    working with upstream to find a fix they'll agree to.

 -- James Vega <jamessan@debian.org>  Sun, 07 Feb 2010 21:51:09 -0500

plt-scheme (4.2.1-1) unstable; urgency=low

  * New upstream version

 -- Ari Pollak <ari@debian.org>  Mon, 10 Aug 2009 11:29:40 -0400

plt-scheme (4.1.5-1) unstable; urgency=low

  * New upstream version 

 -- Ari Pollak <ari@debian.org>  Sun, 22 Mar 2009 21:55:44 -0400

plt-scheme (4.1.4-1) unstable; urgency=low

  * New upstream version

 -- Ari Pollak <ari@debian.org>  Wed, 21 Jan 2009 08:53:59 -0500

plt-scheme (4.1.3-1) unstable; urgency=low

  * New upstream version

 -- Ari Pollak <ari@debian.org>  Mon, 24 Nov 2008 13:43:11 -0500

plt-scheme (4.1.2-1) unstable; urgency=low

  * New upstream version 

 -- Ari Pollak <ari@debian.org>  Tue, 28 Oct 2008 20:06:59 -0400

plt-scheme (4.1.1-1) unstable; urgency=low

  * Make sure cdbs' and dpkg-buildpackage's CFLAGS and CXXFLAGS aren't passed
    through to configure and make, so we don't get surprising behavior that
    upstream isn't expecting.
  * Update package description from PLT website (Closes: #491636)

 -- Ari Pollak <ari@debian.org>  Sun, 05 Oct 2008 16:45:08 -0400

plt-scheme (4.0.1-2) unstable; urgency=low

  * Rename package to plt-scheme, combining the drscheme and mzscheme
    packages, following advice from upstream (Closes: #488247)
  * Add plt-scheme-doc package
  * Fix the package description, removing references to Rice University

 -- Ari Pollak <ari@debian.org>  Wed, 02 Jul 2008 21:43:32 -0400

drscheme (2:4.0.1-1) unstable; urgency=low

  * New upstream version
  * Update watch file
  * Apply patch from upstream to fix doc paths being hardcoded as the
    temporary package installation directory instead of the configured path
    (Closes: #486513)

 -- Ari Pollak <ari@debian.org>  Tue, 24 Jun 2008 19:01:58 -0400

drscheme (2:4.0-1) unstable; urgency=medium

  * New upstream version
  * Use older memory management on all architectures to be consistent
    (Closes: #473212)
  * Add new epoch since upstream changed versioning scheme
  * Move readline to mzscheme package, and add note in copyright file about it
    (Closes: #460466)
  * Remove obsolete manpages and init script for web-server

 -- Ari Pollak <ari@debian.org>  Sat, 14 Jun 2008 11:17:57 -0400

drscheme (1:372-1) unstable; urgency=low

  [ Artem Baguinski ]
  * New upstream release
  * Removed mzscheme.prerm as mzscheme.postrm does the same thing
  * Don't build with 3m GC on architectures other than i386/amd64,
    since it was causing crashes in mzscheme

  [ Ari Pollak ]
  * Remove Conflicts: slib

 -- Ari Pollak <ari@debian.org>  Fri, 11 Jan 2008 11:31:50 -0500

drscheme (1:371-1) unstable; urgency=low

  [ Artem Baguinski ]
  * New upstream release (Closes: #425539)
  * Removed patches 05_slibinit-fix.patch and 07_slib.patch
    because the upstream got rid of slibinit
  * New collects: combinator-parser and wxme


=== debian/control ===
Source: racket
Section: lisp
Priority: optional
Maintainer: Ari Pollak <ari@debian.org>
Uploaders: James Vega <jamessan@debian.org>, David Bremner <bremner@debian.org>
Standards-Version: 3.8.0
Build-Depends: cdbs, quilt, debhelper (>= 7.0.0), patchutils,
 libfreetype6-dev, libjpeg-dev, libpango1.0-dev, libpng12-dev, libssl-dev, 
 libxaw7-dev, xbitmaps, libxft-dev, libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev, libx11-dev, libxrender-dev, libcairo2-dev
Vcs-Git: git://git.debian.org/git/collab-maint/racket
Vcs-Browser: http://git.debian.org/?p=collab-maint/racket.git;a=summary
Homepage: http://www.racket-lang.org/

Package: racket
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, racket-common (= ${source:Version})
Recommends: racket-doc (>= ${source:Upstream-Version})
Breaks: plt-scheme (<<5.0~)
Replaces: plt-scheme (<<5.0~)
Provides: plt-scheme
Description: extensible programming language in the scheme family
 Racket (previously PLT Scheme) is an innovative programming language
 that builds on a rich academic and practical tradition.
 .
 It is suitable for implementation tasks ranging from scripting to
 application development, including GUIs, web services, etc.
 .
 It includes the DrRacket programming environment, a virtual machine with
 a just-in-time compiler, tools for creating stand-alone executables, the
 PLT Scheme web server, extensive libraries, documentation for both
 beginners and experts, and more.
 .
 It supports the creation of new programming languages through a
 rich, expressive syntax system. Example languages include Typed Scheme,
 ACL2, FrTime, and Lazy Scheme.
 .
 Built with the ${racket:GC} garbage collector.

Package: racket-common
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: racket-doc (>= ${source:Upstream-Version})
Breaks: plt-scheme (<<5.0~)
Replaces: plt-scheme (<<5.0~)
Description: extensible programming language in the scheme family (shared files)
 This package includes the architecture independent files for Racket
 (but not the documentation, see racket-doc for that).

Package: racket-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: racket (>= ${source:Upstream-Version})
Enhances: racket
Breaks: plt-scheme-doc (<<5.0~)
Replaces: plt-scheme-doc (<<5.0~)
Provides: plt-scheme-doc
Description: extensible programming language in the scheme family (documentation)
 This package includes all of the documentation for Racket.

Package: plt-scheme
Architecture: all
Depends: racket, ${misc:Depends}
Description: Racket Programming Environment (transitional package)
 Racket (previously PLT Scheme) is an innovative programming language
 that builds on a rich academic and practical tradition.
 .
 It is suitable for implementation tasks ranging from scripting to
 application development, including GUIs, web services, etc.
 .
 It includes the DrRacket programming environment, a virtual machine with
 a just-in-time compiler, tools for creating stand-alone executables, the
 PLT Scheme web server, extensive libraries, documentation for both
 beginners and experts, and more.
 .
 It supports the creation of new programming languages through a
 rich, expressive syntax system. Example languages include Typed Scheme,
 ACL2, FrTime, and Lazy Scheme.
 .
 This is a dummy package to aid in transitioning from the plt-scheme package
 to the racket package.

Package: plt-scheme-doc
Section: doc
Architecture: all
Depends: racket-doc, ${misc:Depends}
Description: PLT Scheme Documentation (transitional package)
 This package includes all of the documentation for PLT Scheme.
 .
 This is a dummy package to aid in transitioning from the plt-scheme-doc
 package to the racket-doc package.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3
opts=filenamemangle=s/.*-([0-9.]+)-.*/racket-$1.tar.gz/ \
http://download.racket-lang.org/installers/([0-9]\.[0-9.]+)/racket/racket-([0-9]\.[0-9.]+)-src-unix.tgz

## racket 5.1.3+dfsg1

=== debian/changelog ===
racket (5.1.3+dfsg1-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- David Bremner <bremner@debian.org>  Tue, 25 Oct 2011 09:39:57 -0300

racket (5.1.3+dfsg1-1) unstable; urgency=low

  [ James Vega ]
  * New Upstream version
  * Correct the /u/s/d/racket/release-notes symlink. (Closes: #628887)
  * Captialize Scheme in package short descriptions. (Closes: #625276)
  * Build-Depend on libffi-dev to use the system library instead of the
    bundled version.
  * Update Lintian overrides
    + Correct path according for unstripped-binary-or-object
    + Remove obsolete embedded-zlib override
    + Add override for menu-icon-missing, icon is shipped in racket-common
  * Add dversionmangle to watch file to strip dfsg.
  * Bump Standards-Version to 3.9.2.0, no changes needed.
  * Update Vcs-* for the Alioth transition.
  * Restore collects/scribble/sigplan and re-enable building of scribble's
    documentation.  (Closes: #636699)
  * Symlink racket's icons into /usr/share/pixmaps.
  * Install a desktop file for drracket.  (Closes: #513390)

  [ David Bremner ]
  * Use upstream stubs for sigplanconf.cls and jfp.cls, restore 
    collects/scribble/jfp (licensing questions resolved).
  * remove kFreeBSD patches,  now upstream

 -- David Bremner <bremner@debian.org>  Sun, 21 Aug 2011 22:51:49 -0300

racket (5.1.1+dfsg1-3) unstable; urgency=low

  * Replace kFreeBSD signal patch with upstream version of same.

 -- David Bremner <bremner@debian.org>  Mon, 16 May 2011 15:58:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Ari Pollak <ari@debian.org>
 Uploaders: James Vega <jamessan@debian.org>, David Bremner <bremner@debian.org>
-Standards-Version: 3.8.0
-Build-Depends: cdbs, quilt, debhelper (>= 7.0.0), patchutils,
+Standards-Version: 3.9.2.0
+Build-Depends: cdbs, quilt, debhelper (>= 7.0.0), patchutils, libffi-dev,
  libfreetype6-dev, libjpeg-dev, libpango1.0-dev, libpng12-dev, libssl-dev, 
  libxaw7-dev, xbitmaps, libxft-dev, libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev, libx11-dev, libxrender-dev, libcairo2-dev
-Vcs-Git: git://git.debian.org/git/collab-maint/racket
-Vcs-Browser: http://git.debian.org/?p=collab-maint/racket.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/racket.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/racket.git
 Homepage: http://www.racket-lang.org/
 
 Package: racket
@@ -19,7 +19,7 @@
 Breaks: plt-scheme (<<5.0~)
 Replaces: plt-scheme (<<5.0~)
 Provides: plt-scheme
-Description: extensible programming language in the scheme family
+Description: extensible programming language in the Scheme family
  Racket (previously PLT Scheme) is an innovative programming language
  that builds on a rich academic and practical tradition.
  .
@@ -43,7 +43,7 @@
 Recommends: racket-doc (>= ${source:Upstream-Version})
 Breaks: plt-scheme (<<5.0~)
 Replaces: plt-scheme (<<5.0~)
-Description: extensible programming language in the scheme family (shared files)
+Description: extensible programming language in the Scheme family (shared files)
  This package includes the architecture independent files for Racket
  (but not the documentation, see racket-doc for that).
 
@@ -56,7 +56,7 @@
 Breaks: plt-scheme-doc (<<5.0~)
 Replaces: plt-scheme-doc (<<5.0~)
 Provides: plt-scheme-doc
-Description: extensible programming language in the scheme family (documentation)
+Description: extensible programming language in the Scheme family (documentation)
  This package includes all of the documentation for Racket.
 
 Package: plt-scheme

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include debian/racket-arch.mk

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_CONFIGURE_SCRIPT := $(CURDIR)/src/configure
DEB_DH_GENCONTROL_ARGS_racket := -- -Vracket:GC=3m
MZDYN := mzdyn3m.o

# Some architectures don't like the 3m garbage collector, so use Boehm (aka
# cgc)
ifneq (,$(filter alpha hppa powerpc ppc64 mips mipsel,$(DEB_HOST_ARCH)))
    DEB_CONFIGURE_EXTRA_FLAGS := --enable-cgcdefault
    DEB_DH_GENCONTROL_ARGS_racket := -- -Vracket:GC=cgc
    MZDYN := mzdyn.o
endif

# keep the collect build from using every available core, unless 
# explicitly enabled.
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
        NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NUMJOBS = 1
endif

# Support for generating ".orig.tar.gz" from git

SOURCEPKG=$(shell dpkg-parsechangelog | sed  -n 's/^Source: \(.*\)/\1/p')
UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
ORIG=${SOURCEPKG}_${UPSTREAM}.orig.tar.gz

# Upstream does funky things with assembly, so we'll have to trust their
# compilation settings and override cdbs/dpkg-buildpackage defaults for
# configure and make
DEB_CONFIGURE_SCRIPT_ENV = CFLAGS="-g" CXXFLAGS=""
DEB_MAKE_ENVVARS = CFLAGS="-g" CXXFLAGS="" HOME=/nonexistant PLT_SETUP_OPTIONS="-j $(NUMJOBS) $(PLT_EXTRA)"

DEB_BUILDDIR := $(DEB_SRCDIR)/build

DEB_DH_INSTALL_ARGS_racket-common := -X${RACKET_ARCH} -X$(MZDYN)
DEB_DH_INSTALL_ARGS_racket-doc := -Xdoc/release-notes

# do not strip mzscheme, as this causes it to stop working
DEB_DH_STRIP_ARGS_racket := -Xbin/mzscheme

DEB_MAKE_INSTALL_TARGET= no-run

common-install-arch:: do-install-arch
common-install-indep:: do-install-indep

do-install-arch: PLT_EXTRA=--no-docs --no-zo
do-install-arch:
	$(DEB_MAKE_ENVVARS) $(MAKE) -C $(DEB_BUILDDIR) install DESTDIR=$(CURDIR)/debian/tmp

do-install-indep: PLT_EXTRA=--no-launcher --no-install --no-post-install
do-install-indep:
	$(DEB_MAKE_ENVVARS) $(MAKE) -C $(DEB_BUILDDIR) install DESTDIR=$(CURDIR)/debian/tmp

cleanbuilddir/racket::
	rm -rf build
	rm -rf include # This got created at build-time
	rm -f debian/mzconfig.h debian/racket-arch.mk

debian/racket-arch.mk: debian/racket-arch.c
	touch debian/mzconfig.h && cpp -Isrc -Idebian -o - $< | tail -1 > $@

get-orig-source:
	git archive --format=tar --prefix=racket-${UPSTREAM}/ upstream/${UPSTREAM} | gzip -9 > ../${ORIG}

PATCH_EXPORT_SCRIPT = /usr/share/gitpkg/hooks/quilt-patches-deb-export-hook

export-patches: 
	[ ! -r debian/patches ] || \
	grep "^\#.*$(notdir $(PATCH_EXPORT_SCRIPT))" debian/patches/series
	rm -rf debian/patches
	bash $(PATCH_EXPORT_SCRIPT)

.PHONY: git-orig-source export-patches

## racket 5.2+dfsg1

=== debian/changelog ===
racket (5.2+dfsg1-1) unstable; urgency=low

  [ James McCoy ]
  * New upstream version
    + Reimplemented plot libraries.  (Closes: #392598)
  * Pass --enable-noopt to configure when noopt is in DEB_BUILD_OPTIONS
  * Remove powerpc/ppc64 from the "use cgc".  Racket builds fine with 3m on
    powerpc systems and those binaries will run on ppc64-kernel systems.
  * Use 3m for all architectures, as cgc is too problematic.
    + Remove "use cgc" list from debian/rules
    + Remove "Built with the ... garbage collector" from package description
  * Restrict the architectures we build on to, basically, !ia64.
  * Remove Ari Pollak as maintainer, with his permission.

 -- James McCoy <jamessan@debian.org>  Sat, 19 Nov 2011 00:37:34 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: racket
 Section: lisp
 Priority: optional
-Maintainer: Ari Pollak <ari@debian.org>
-Uploaders: James Vega <jamessan@debian.org>, David Bremner <bremner@debian.org>
+Maintainer: David Bremner <bremner@debian.org>
+Uploaders: James Vega <jamessan@debian.org>
 Standards-Version: 3.9.2.0
 Build-Depends: cdbs, quilt, debhelper (>= 7.0.0), patchutils, libffi-dev,
  libfreetype6-dev, libjpeg-dev, libpango1.0-dev, libpng12-dev, libssl-dev, 
@@ -13,7 +13,7 @@
 Homepage: http://www.racket-lang.org/
 
 Package: racket
-Architecture: any
+Architecture: any-alpha any-amd64 any-armel any-i386 any-mips any-mipsel any-powerpc any-s390 any-sparc
 Depends: ${misc:Depends}, ${shlibs:Depends}, racket-common (= ${source:Version})
 Recommends: racket-doc (>= ${source:Upstream-Version})
 Breaks: plt-scheme (<<5.0~)
@@ -34,8 +34,6 @@
  It supports the creation of new programming languages through a
  rich, expressive syntax system. Example languages include Typed Scheme,
  ACL2, FrTime, and Lazy Scheme.
- .
- Built with the ${racket:GC} garbage collector.
 
 Package: racket-common
 Architecture: all

## racket 5.2.1+dfsg1

=== debian/changelog ===
racket (5.2.1+dfsg1-5~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- David Bremner <bremner@debian.org>  Tue, 29 May 2012 14:31:45 -0300

racket (5.2.1+dfsg1-5) unstable; urgency=low

  * Cherry-pick patches from upstream to use libpng15 when it's available.
  * Lintian cleanups:
    + menu-icon-too-big: Use mini-plt.xpm instead of plt.xpm
    + Remove menu-icon-missing override, cross-binary package checks now work
      in Lintian
  * Use default buildflags.
  * Exclude tests from being installed.

 -- James McCoy <jamessan@debian.org>  Fri, 18 May 2012 08:09:15 -0400

racket (5.2.1+dfsg1-4) unstable; urgency=low

  * Cherry-pick patch from upstream to fix dynamic loading of libjpeg.
  * Move plt-scheme(-doc) to oldlibs/extra

 -- James McCoy <jamessan@debian.org>  Tue, 13 Mar 2012 22:35:06 -0400

racket (5.2.1+dfsg1-3) unstable; urgency=low

  * Change libpng12-dev Build-Depends to libpng-dev to prepare for transition.
    (Closes: #662489)
  * Remove unnecessary quilt Build-Depends.
  * Add racket Recommends to racket-common to satisfy
    missing-dep-for-interpreter.

 -- James McCoy <jamessan@debian.org>  Mon, 05 Mar 2012 22:06:10 -0500

racket (5.2.1+dfsg1-2) unstable; urgency=low

  * Cherry pick patch from upstream to fix FTBFS on architectures where char
    is unsigned by default.  (Closes: #654789, #654827)

 -- James McCoy <jamessan@debian.org>  Sun, 19 Feb 2012 09:26:23 -0500

racket (5.2.1+dfsg1-1) unstable; urgency=low

  * Revert the Architecture limiting in favor of adding ia64 to P-a-s.
  * New upstream version.
    + Update d/copyright for new files in src/racket/lightning

 -- James McCoy <jamessan@debian.org>  Sat, 18 Feb 2012 15:14:59 -0500

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: lisp
 Priority: optional
 Maintainer: David Bremner <bremner@debian.org>
-Uploaders: James Vega <jamessan@debian.org>
+Uploaders: James McCoy <jamessan@debian.org>
 Standards-Version: 3.9.2.0
-Build-Depends: cdbs, quilt, debhelper (>= 7.0.0), patchutils, libffi-dev,
- libfreetype6-dev, libjpeg-dev, libpango1.0-dev, libpng12-dev, libssl-dev, 
+Build-Depends: cdbs, debhelper (>= 7.0.0), patchutils, libffi-dev,
+ libfreetype6-dev, libjpeg-dev, libpango1.0-dev, libpng-dev, libssl-dev,
  libxaw7-dev, xbitmaps, libxft-dev, libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev, libx11-dev, libxrender-dev, libcairo2-dev
 Vcs-Git: git://anonscm.debian.org/collab-maint/racket.git
@@ -13,7 +13,7 @@
 Homepage: http://www.racket-lang.org/
 
 Package: racket
-Architecture: any-alpha any-amd64 any-armel any-i386 any-mips any-mipsel any-powerpc any-s390 any-sparc
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, racket-common (= ${source:Version})
 Recommends: racket-doc (>= ${source:Upstream-Version})
 Breaks: plt-scheme (<<5.0~)
@@ -38,7 +38,7 @@
 Package: racket-common
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: racket-doc (>= ${source:Upstream-Version})
+Recommends: racket (>= ${source:Upstream-Version}), racket-doc (>= ${source:Upstream-Version})
 Breaks: plt-scheme (<<5.0~)
 Replaces: plt-scheme (<<5.0~)
 Description: extensible programming language in the Scheme family (shared files)
@@ -58,6 +58,8 @@
  This package includes all of the documentation for Racket.
 
 Package: plt-scheme
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: racket, ${misc:Depends}
 Description: Racket Programming Environment (transitional package)
@@ -80,7 +82,8 @@
  to the racket package.
 
 Package: plt-scheme-doc
-Section: doc
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: racket-doc, ${misc:Depends}
 Description: PLT Scheme Documentation (transitional package)

=== debian/rules ===
--- 
+++ 
@@ -6,23 +6,18 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_CONFIGURE_SCRIPT := $(CURDIR)/src/configure
-DEB_DH_GENCONTROL_ARGS_racket := -- -Vracket:GC=3m
 MZDYN := mzdyn3m.o
-
-# Some architectures don't like the 3m garbage collector, so use Boehm (aka
-# cgc)
-ifneq (,$(filter alpha hppa powerpc ppc64 mips mipsel,$(DEB_HOST_ARCH)))
-    DEB_CONFIGURE_EXTRA_FLAGS := --enable-cgcdefault
-    DEB_DH_GENCONTROL_ARGS_racket := -- -Vracket:GC=cgc
-    MZDYN := mzdyn.o
-endif
 
 # keep the collect build from using every available core, unless 
 # explicitly enabled.
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-        NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 else
-	NUMJOBS = 1
+    NUMJOBS = 1
+endif
+
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+    DEB_CONFIGURE_EXTRA_FLAGS += --enable-noopt
 endif
 
 # Support for generating ".orig.tar.gz" from git
@@ -31,15 +26,11 @@
 UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
 ORIG=${SOURCEPKG}_${UPSTREAM}.orig.tar.gz
 
-# Upstream does funky things with assembly, so we'll have to trust their
-# compilation settings and override cdbs/dpkg-buildpackage defaults for
-# configure and make
-DEB_CONFIGURE_SCRIPT_ENV = CFLAGS="-g" CXXFLAGS=""
-DEB_MAKE_ENVVARS = CFLAGS="-g" CXXFLAGS="" HOME=/nonexistant PLT_SETUP_OPTIONS="-j $(NUMJOBS) $(PLT_EXTRA)"
+DEB_MAKE_ENVVARS += HOME=/nonexistant PLT_SETUP_OPTIONS="-j $(NUMJOBS) $(PLT_EXTRA)"
 
 DEB_BUILDDIR := $(DEB_SRCDIR)/build
 
-DEB_DH_INSTALL_ARGS_racket-common := -X${RACKET_ARCH} -X$(MZDYN)
+DEB_DH_INSTALL_ARGS_racket-common := -X${RACKET_ARCH} -X$(MZDYN) -X/tests/
 DEB_DH_INSTALL_ARGS_racket-doc := -Xdoc/release-notes
 
 # do not strip mzscheme, as this causes it to stop working

## racket 5.2.1+g6~92c8784+dfsg2

=== debian/changelog ===
racket (5.2.1+g6~92c8784+dfsg2-2+deb7u1) testing; urgency=low

  * Stop shipping /usr/bin/planet.  (Closes: #680685)

 -- James McCoy <jamessan@debian.org>  Sun, 26 Aug 2012 10:58:44 -0400

racket (5.2.1+g6~92c8784+dfsg2-2) unstable; urgency=low

  * Update description to use Racket in place of scheme (Closes: #679000).
  * Generally reword and streamline description. 
  * Mention R6R6 (Closes: #577816).
  * Update Standards-Version to 3.9.3 (no changes)

 -- David Bremner <bremner@debian.org>  Tue, 26 Jun 2012 20:06:39 -0300

racket (5.2.1+g6~92c8784+dfsg2-1) unstable; urgency=low

  * Add back inadvertantly dropped patches.
  * Re-repack to remove non-dfsg material.

 -- David Bremner <bremner@debian.org>  Tue, 12 Jun 2012 21:01:06 -0300

racket (5.2.1+g6~92c8784+dfsg1-1) unstable; urgency=low

  * Upstream re-release of 5.2.1, with a fix for an "Easter Egg" bug that
    make DrRacket unusable twice a year. See message
    <DF3E772B-EFAA-4818-A8B5-383472B8C9EF@ccs.neu.edu> from
    Matthias Felleisen for more details.

 -- David Bremner <bremner@debian.org>  Mon, 11 Jun 2012 21:12:09 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: David Bremner <bremner@debian.org>
 Uploaders: James McCoy <jamessan@debian.org>
-Standards-Version: 3.9.2.0
+Standards-Version: 3.9.3
 Build-Depends: cdbs, debhelper (>= 7.0.0), patchutils, libffi-dev,
  libfreetype6-dev, libjpeg-dev, libpango1.0-dev, libpng-dev, libssl-dev,
  libxaw7-dev, xbitmaps, libxft-dev, libgl1-mesa-dev | libgl-dev,
@@ -20,20 +20,18 @@
 Replaces: plt-scheme (<<5.0~)
 Provides: plt-scheme
 Description: extensible programming language in the Scheme family
- Racket (previously PLT Scheme) is an innovative programming language
- that builds on a rich academic and practical tradition.
+ Racket (previously PLT Scheme) is a programming language suitable for
+ scripting and application development, including GUIs and web
+ services.
  .
- It is suitable for implementation tasks ranging from scripting to
- application development, including GUIs, web services, etc.
+ It supports the creation of new programming languages through a rich,
+ expressive syntax system. Supplied languages include Typed Racket,
+ ACL2, FrTime, and Lazy Racket, and R6RS Scheme.
  .
- It includes the DrRacket programming environment, a virtual machine with
- a just-in-time compiler, tools for creating stand-alone executables, the
- PLT Scheme web server, extensive libraries, documentation for both
- beginners and experts, and more.
- .
- It supports the creation of new programming languages through a
- rich, expressive syntax system. Example languages include Typed Scheme,
- ACL2, FrTime, and Lazy Scheme.
+ Racket includes the DrRacket programming environment, a virtual
+ machine with a just-in-time compiler, tools for creating stand-alone
+ executables, the Racket web server, extensive libraries, and
+ documentation for both beginners and experts.
 
 Package: racket-common
 Architecture: all
@@ -66,18 +64,6 @@
  Racket (previously PLT Scheme) is an innovative programming language
  that builds on a rich academic and practical tradition.
  .
- It is suitable for implementation tasks ranging from scripting to
- application development, including GUIs, web services, etc.
- .
- It includes the DrRacket programming environment, a virtual machine with
- a just-in-time compiler, tools for creating stand-alone executables, the
- PLT Scheme web server, extensive libraries, documentation for both
- beginners and experts, and more.
- .
- It supports the creation of new programming languages through a
- rich, expressive syntax system. Example languages include Typed Scheme,
- ACL2, FrTime, and Lazy Scheme.
- .
  This is a dummy package to aid in transitioning from the plt-scheme package
  to the racket package.

=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,7 @@
 do-install-arch: PLT_EXTRA=--no-docs --no-zo
 do-install-arch:
 	$(DEB_MAKE_ENVVARS) $(MAKE) -C $(DEB_BUILDDIR) install DESTDIR=$(CURDIR)/debian/tmp
+	rm -f $(CURDIR)/debian/tmp/usr/bin/planet
 
 do-install-indep: PLT_EXTRA=--no-launcher --no-install --no-post-install
 do-install-indep:

## racket 5.3.1+dfsg1

=== debian/changelog ===
racket (5.3.1+dfsg1-1) unstable; urgency=low

  * New upstream version

 -- James McCoy <jamessan@debian.org>  Fri, 16 Nov 2012 07:38:10 -0500

racket (5.3+dfsg1-1) unstable; urgency=low

  * New upstream version
  * Build debs with xz compression
  * Stop shipping /usr/bin/planet.  (Closes: #680685)

 -- James McCoy <jamessan@debian.org>  Sat, 18 Aug 2012 11:54:36 -0400

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,8 @@
 
 DEB_DH_INSTALL_ARGS_racket-common := -X${RACKET_ARCH} -X$(MZDYN) -X/tests/
 DEB_DH_INSTALL_ARGS_racket-doc := -Xdoc/release-notes
+
+DEB_DH_BUILDDEB_ARGS := -- -Zxz
 
 # do not strip mzscheme, as this causes it to stop working
 DEB_DH_STRIP_ARGS_racket := -Xbin/mzscheme

## racket 5.3.4+r2+dfsg1

=== debian/changelog ===
racket (5.3.4+r2+dfsg1-2) unstable; urgency=low

  * Don't compress .sxref, .sqlite files, fix (help ...) in repl.
    Thanks to Jose Antonio Ortega Ruiz for the report.

 -- David Bremner <bremner@debian.org>  Fri, 10 May 2013 23:25:38 -0300

racket (5.3.4+r2+dfsg1-1) unstable; urgency=low

  * Upstream fix for doc building process

 -- David Bremner <bremner@debian.org>  Fri, 10 May 2013 08:03:36 -0300

racket (5.3.4+dfsg1-1) unstable; urgency=low

  * New upstream version.
  * [racket-doc] Move docs to /usr/share/doc/racket

 -- David Bremner <bremner@debian.org>  Thu, 09 May 2013 08:15:04 -0300

## racket 5.3.6+dfsg1

=== collects/tests/web-server/stress/vs-hop/Makefile ===


=== collects/tests/web-server/stress/vs-snap/Makefile ===
dyn-server: dynamic.rkt
	ulimit -n 10000
	racket -t dynamic.rkt

stat-server: static.rkt
	ulimit -n 10000
	racket -t static.rkt

dyn-httperf:
	httperf --hog --num-conns 1000 --num-calls 1000 --burst-length 20 --port 8000 --rate 1000 --uri=/pong

stat-httperf:
	httperf --hog --num-conns 1000 --num-calls 1000 --burst-length 20 --port 8001 --rate 1000 --uri=/FiringGeometry.png

=== debian/changelog ===
racket (5.3.6+dfsg1-1) unstable; urgency=medium

  * New upstream bug fix release

 -- David Bremner <bremner@debian.org>  Wed, 01 Jan 2014 19:48:49 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Build-Depends: cdbs, debhelper (>= 7.0.0), patchutils, libffi-dev,
  libfreetype6-dev, libjpeg-dev, libpango1.0-dev, libpng-dev, libssl-dev,
  libxaw7-dev, xbitmaps, libxft-dev, libgl1-mesa-dev | libgl-dev,
- libglu1-mesa-dev | libglu-dev, libx11-dev, libxrender-dev, libcairo2-dev
+ libglu1-mesa-dev | libglu-dev, libx11-dev, libxrender-dev, libcairo2-dev,
+ sqlite3
 Vcs-Git: git://anonscm.debian.org/collab-maint/racket.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/racket.git
 Homepage: http://www.racket-lang.org/

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,8 @@
 DEB_BUILDDIR := $(DEB_SRCDIR)/build
 
 DEB_DH_INSTALL_ARGS_racket-common := -X${RACKET_ARCH} -X$(MZDYN) -X/tests/
-DEB_DH_INSTALL_ARGS_racket-doc := -Xdoc/release-notes
+DEB_DH_INSTALL_ARGS_racket-doc := -Xrelease-notes
+DEB_DH_COMPRESS_ARGS := -X.sxref -X.sqlite
 
 DEB_DH_BUILDDEB_ARGS := -- -Zxz

=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=3
opts=filenamemangle=s/.*-([0-9.]+)-.*/racket-$1.tar.gz/,dversionmangle=s/\+dfsg\d+// \
http://download.racket-lang.org/installers/([0-9]\.[0-9.]+)/racket/racket-([0-9]\.[0-9.]+)-src-unix.tgz

## racket 6.1

=== debian/changelog ===
racket (6.1-4) unstable; urgency=medium

  * Slightly less intrusive anti-anti-aliasing patch: only disable in plot
    output now.

 -- David Bremner <bremner@debian.org>  Fri, 24 Oct 2014 10:36:47 +0200

racket (6.1-3) unstable; urgency=medium

  [ James McCoy ]
  * d/control: Add autotools-dev Build-Depends to let CDBS' config.{sub,guess}
    updating do its work.  (Closes: #765248)
  [ David Bremner ]
  * Disable anti-aliasing in plot and flonum to work around bug
    #766534

 -- David Bremner <bremner@debian.org>  Thu, 23 Oct 2014 23:51:21 +0200

racket (6.1-2) unstable; urgency=medium

  * Add Breaks/Replaces for documentation reorganization.  Thanks to
    Vincent Cheng for the report (Closes: #766011).

 -- David Bremner <bremner@debian.org>  Mon, 20 Oct 2014 11:42:13 +0200

racket (6.1-1) unstable; urgency=medium

  [ James McCoy ]
  * New upstream release  (Closes: #741305)
    + Remove patch pkg/collects-path, merged upstream.
  * d/watch: Remove intermediate racket/ in URL.  Sources have been moved
    directly into versioned directory.  Also remove “-unix” from URL.
  [ David Bremner ]
  * Borrow some changes from Asumu Takikawa to get 6.x packaged.

 -- David Bremner <bremner@debian.org>  Sun, 19 Oct 2014 09:24:21 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: David Bremner <bremner@debian.org>
 Uploaders: James McCoy <jamessan@debian.org>
 Standards-Version: 3.9.3
-Build-Depends: cdbs, debhelper (>= 7.0.0), patchutils, libffi-dev,
+Build-Depends: autotools-dev, cdbs, debhelper (>= 7.0.0), patchutils, libffi-dev,
  libfreetype6-dev, libjpeg-dev, libpango1.0-dev, libpng-dev, libssl-dev,
  libxaw7-dev, xbitmaps, libxft-dev, libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev, libx11-dev, libxrender-dev, libcairo2-dev,
@@ -38,8 +38,8 @@
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: racket (>= ${source:Upstream-Version}), racket-doc (>= ${source:Upstream-Version})
-Breaks: plt-scheme (<<5.0~)
-Replaces: plt-scheme (<<5.0~)
+Breaks: plt-scheme (<<5.0~), racket-doc (<<6.1~)
+Replaces: plt-scheme (<<5.0~), racket-doc (<<6.1~)
 Description: extensible programming language in the Scheme family (shared files)
  This package includes the architecture independent files for Racket
  (but not the documentation, see racket-doc for that).

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 DEB_BUILDDIR := $(DEB_SRCDIR)/build
 
 DEB_DH_INSTALL_ARGS_racket-common := -X${RACKET_ARCH} -X$(MZDYN) -X/tests/
-DEB_DH_INSTALL_ARGS_racket-doc := -Xrelease-notes
+DEB_DH_INSTALL_ARGS_racket-doc := -Xrelease
 DEB_DH_COMPRESS_ARGS := -X.sxref -X.sqlite
 
 DEB_DH_BUILDDEB_ARGS := -- -Zxz

## racket 6.2

=== debian/changelog ===
racket (6.2-2) unstable; urgency=medium

  * Don't strip mred, as this fails almost everywhere

 -- David Bremner <bremner@debian.org>  Sun, 28 Jun 2015 19:50:42 +0200

racket (6.2-1) unstable; urgency=medium

  * New upstream release (Closes: #789758).

 -- David Bremner <bremner@debian.org>  Fri, 26 Jun 2015 16:52:16 +0200

racket (6.1.1-3) unstable; urgency=medium

  * Bug fix: "Application icon does not appear in applications menu",
    thanks to Chris Jester-Young (Closes: #772174).

 -- David Bremner <bremner@debian.org>  Sat, 23 May 2015 08:17:51 +0200

racket (6.1.1-2) unstable; urgency=medium

  * upload to unstable

 -- David Bremner <bremner@debian.org>  Thu, 21 May 2015 22:02:23 +0200

racket (6.1.1-1) experimental; urgency=medium

  * New upstream release

 -- David Bremner <bremner@debian.org>  Wed, 21 Jan 2015 09:32:39 +0100

## racket 6.3

=== debian/changelog ===
racket (6.3-1) unstable; urgency=medium

  [ James McCoy ]
  * Remove myself from Uploaders.

  [ David Bremner ]
  * New upstream release
  * Re-enable anti-aliasing (#766534 is supposedly fixed)
  * Install more icons (thanks to Asumu Takikawa for the patch)
  * Bug fix: "No mime types defined in drracket.desktop", thanks to
    Frederik Himpe (Closes: #700191).

 -- David Bremner <bremner@debian.org>  Sat, 05 Dec 2015 08:48:11 -0400

racket (6.2-3) unstable; urgency=medium

  * Add recommends needed for proper functioning of DrRacket. These are
    not found by the usual mechanism because they are dynamically loaded.
    Thanks to Asumu Takikawa for the patch.
  * Those using only non-graphical racket can install without
    recommends.

 -- David Bremner <bremner@debian.org>  Wed, 09 Sep 2015 07:14:51 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: lisp
 Priority: optional
 Maintainer: David Bremner <bremner@debian.org>
-Uploaders: James McCoy <jamessan@debian.org>
 Standards-Version: 3.9.3
 Build-Depends: autotools-dev, cdbs, debhelper (>= 7.0.0), patchutils, libffi-dev,
  libfreetype6-dev, libjpeg-dev, libpango1.0-dev, libpng-dev, libssl-dev,
@@ -16,7 +15,9 @@
 Package: racket
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, racket-common (= ${source:Version})
-Recommends: racket-doc (>= ${source:Upstream-Version})
+Recommends: racket-doc (>= ${source:Upstream-Version}),
+            libglib2.0-0, libpangocairo-1.0-0, libjpeg8, libpng12-0,
+            libgtk2.0-0, libgdk-pixbuf2.0-0, libunique-1.0-0
 Breaks: plt-scheme (<<5.0~)
 Replaces: plt-scheme (<<5.0~)
 Provides: plt-scheme

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,8 @@
 DEB_DH_BUILDDEB_ARGS := -- -Zxz
 
 # do not strip mzscheme, as this causes it to stop working
-DEB_DH_STRIP_ARGS_racket := -Xbin/mzscheme
+# do not strip mred, as this fails on some arches
+DEB_DH_STRIP_ARGS_racket := -Xbin/mzscheme -Xbin/mred
 
 DEB_MAKE_INSTALL_TARGET= no-run

## racket 6.6

=== debian/changelog ===
racket (6.6-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "FTBFS with openssl 1.1.0", thanks to Kurt Roeckx (Closes:
    #828526).

 -- David Bremner <bremner@debian.org>  Fri, 05 Aug 2016 09:04:20 +0900

racket (6.5-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "Recommends libpng12 which is going away, please switch to
    libpng16", thanks to Mattia Rizzolo (Closes: #823182).
  * update drracket.desktop, remove menu files
  * remove transitional plt-* packages.
  * drop recommends on libjpeg8, thanks to Adam Borowski (Closes: #814866).
  * Bug fix: "Local documentation links to remote instead of local",
    thanks to Diogo Ramos (Closes: #783434).
  * All patches now upstream.

 -- David Bremner <bremner@debian.org>  Mon, 02 May 2016 10:44:33 -0300

racket (6.3-3) unstable; urgency=medium

  * Cherry pick https://github.com/racket/racket/commit/e957a7d.patch as a
    fix for ppc64el build failures

 -- David Bremner <bremner@debian.org>  Fri, 18 Dec 2015 20:24:20 -0400

racket (6.3-2) unstable; urgency=medium

  * expand JIT_BUFFER_PAD_SIZE to work around build failure on armel

 -- David Bremner <bremner@debian.org>  Thu, 17 Dec 2015 22:23:08 -0400

## racket 6.7

=== debian/changelog ===
racket (6.7-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- David Bremner <bremner@debian.org>  Sat, 05 Nov 2016 07:45:00 -0300

racket (6.7-1) unstable; urgency=medium

  * New upstream release
  * Exclude some source files from compression (fix for https://github.com/racket/scribble/issues/57)

 -- David Bremner <bremner@debian.org>  Sat, 29 Oct 2016 09:14:40 -0300

racket (6.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- David Bremner <bremner@debian.org>  Sat, 14 May 2016 17:04:04 -0300

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, racket-common (= ${source:Version})
 Recommends: racket-doc (>= ${source:Upstream-Version}),
-            libglib2.0-0, libpangocairo-1.0-0, libjpeg8, libpng12-0,
+            libglib2.0-0, libpangocairo-1.0-0, libjpeg62-turbo, libpng16-16,
             libgtk2.0-0, libgdk-pixbuf2.0-0, libunique-1.0-0
 Breaks: plt-scheme (<<5.0~)
 Replaces: plt-scheme (<<5.0~)
@@ -56,26 +56,3 @@
 Provides: plt-scheme-doc
 Description: extensible programming language in the Scheme family (documentation)
  This package includes all of the documentation for Racket.
-
-Package: plt-scheme
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: racket, ${misc:Depends}
-Description: Racket Programming Environment (transitional package)
- Racket (previously PLT Scheme) is an innovative programming language
- that builds on a rich academic and practical tradition.
- .
- This is a dummy package to aid in transitioning from the plt-scheme package
- to the racket package.
-
-Package: plt-scheme-doc
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: racket-doc, ${misc:Depends}
-Description: PLT Scheme Documentation (transitional package)
- This package includes all of the documentation for PLT Scheme.
- .
- This is a dummy package to aid in transitioning from the plt-scheme-doc
- package to the racket-doc package.

=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,10 @@
 DEB_DH_INSTALL_ARGS_racket-common := -X${RACKET_ARCH} -X$(MZDYN) -X/tests/
 DEB_DH_INSTALL_ARGS_racket-doc := -Xrelease
 DEB_DH_COMPRESS_ARGS := -X.sxref -X.sqlite
+
+# don't compress rkt source files since some are needed for
+# docs such as the quick.scrbl example and blueboxes.rktd files
+DEB_COMPRESS_EXCLUDE_ALL := .scrbl .rkt .rktd
 
 DEB_DH_BUILDDEB_ARGS := -- -Zxz

## racket 6.9

=== debian/changelog ===
racket (6.9-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- David Bremner <bremner@debian.org>  Fri, 07 Jul 2017 23:02:39 -0300

racket (6.9-2) unstable; urgency=medium

  * rebuild for unstable

 -- David Bremner <bremner@debian.org>  Thu, 29 Jun 2017 20:27:37 -0300

racket (6.9-1) experimental; urgency=medium

  * New upstream release
  * Remove patch to libcrypto.rkt, now upstream

 -- David Bremner <bremner@debian.org>  Sun, 04 Jun 2017 17:06:39 -0300

racket (6.8-1) experimental; urgency=medium

  * New upstream version
  * Patch libcrypto.rkt to look for openssl 1.1, recommend libssl1.1. Bug
    fix: "Raco fails without libssl-dev", thanks to Martin Tang (Closes:
    #836346).
  * Cherry pick fix for type-masks to fix compilation on 32bit arches.

 -- David Bremner <bremner@debian.org>  Sat, 04 Mar 2017 11:54:04 -0400

racket (6.7-3) unstable; urgency=medium

  * Disable parallel building on 32bit architectures. Racket's parallel
    build currently uses OS threads, so unbounded parallelism hits per
    process address space limitations. (Closes: #860670).

 -- David Bremner <bremner@debian.org>  Sat, 22 Apr 2017 14:26:26 -0300

racket (6.7-2) unstable; urgency=medium

  * Patch libcrypto.rkt to look for openssl 1.1, recommend libssl1.1. Bug
    fix: "Raco fails without libssl-dev", thanks to Martin Tang (Closes:
    #836346).

 -- David Bremner <bremner@debian.org>  Sun, 05 Mar 2017 08:55:03 -0400

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, racket-common (= ${source:Version})
 Recommends: racket-doc (>= ${source:Upstream-Version}),
             libglib2.0-0, libpangocairo-1.0-0, libjpeg62-turbo, libpng16-16,
-            libgtk2.0-0, libgdk-pixbuf2.0-0, libunique-1.0-0
+            libgtk2.0-0, libgdk-pixbuf2.0-0, libunique-1.0-0, libssl1.1
 Breaks: plt-scheme (<<5.0~)
 Replaces: plt-scheme (<<5.0~)
 Provides: plt-scheme

## racket 6.10.1+dfsg1

=== debian/changelog ===
racket (6.10.1+dfsg1-1) unstable; urgency=medium

  * New upstream release    
  * fix changelog for 6.9-1; wrong patch was discussed
  * Assert compliance with policy 4.1.1; no changes.
  * Bump debhelper compat level to 10
  * non-free docs for srfi 5, 29, 32 removed

 -- David Bremner <bremner@debian.org>  Sun, 08 Oct 2017 18:19:53 -0300

## racket 6.11+dfsg1

=== debian/changelog ===
racket (6.11+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Use new logo (thanks to Asumu Takikawa)

 -- David Bremner <bremner@debian.org>  Sat, 23 Dec 2017 15:26:58 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: lisp
 Priority: optional
 Maintainer: David Bremner <bremner@debian.org>
-Standards-Version: 3.9.3
-Build-Depends: autotools-dev, cdbs, debhelper (>= 7.0.0), patchutils, libffi-dev,
+Standards-Version: 4.1.1
+Build-Depends: autotools-dev, cdbs, debhelper (>= 10), patchutils, libffi-dev,
  libfreetype6-dev, libjpeg-dev, libpango1.0-dev, libpng-dev, libssl-dev,
  libxaw7-dev, xbitmaps, libxft-dev, libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev, libx11-dev, libxrender-dev, libcairo2-dev,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,11 @@
 # keep the collect build from using every available core, unless 
 # explicitly enabled.
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS),64)
+	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    else
+	NUMJOBS = 1
+    endif
 else
     NUMJOBS = 1
 endif

## racket 6.12+dfsg1

=== debian/changelog ===
racket (6.12+dfsg1-3) unstable; urgency=medium

  * Add two patches from upstream to restore drracket -singleInstance.
    https://github.com/racket/drracket/issues/191

 -- David Bremner <bremner@debian.org>  Sun, 20 May 2018 17:04:14 -0700

racket (6.12+dfsg1-2) unstable; urgency=medium

  * Bug fix: "hostname verification with OpenSSL fails", thanks to
    Benjamin Barenblat (Closes: #877427). Cherry pick upstream pull
    request 2041.

 -- David Bremner <bremner@debian.org>  Tue, 08 May 2018 09:24:44 -0400

racket (6.12+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Install man pages for racket, drracket, and raco
  * drop "Recommends libunique", thanks to Jeremy Bicha (Closes:
    #885816). It seems that -singleInstance is not actually working in
    in 6.11, so no loss of functionality.

 -- David Bremner <bremner@debian.org>  Sun, 11 Mar 2018 09:44:59 -0500

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, racket-common (= ${source:Version})
 Recommends: racket-doc (>= ${source:Upstream-Version}),
             libglib2.0-0, libpangocairo-1.0-0, libjpeg62-turbo, libpng16-16,
-            libgtk2.0-0, libgdk-pixbuf2.0-0, libunique-1.0-0, libssl1.1
+            libgtk2.0-0, libgdk-pixbuf2.0-0, libssl1.1
 Breaks: plt-scheme (<<5.0~)
 Replaces: plt-scheme (<<5.0~)
 Provides: plt-scheme

## racket 7.0+dfsg2

=== debian/changelog ===
racket (7.0+dfsg2-1) unstable; urgency=medium

  * Major new upstream release
  * Add Recommends: sensible-utils to racket-common (for
    sensible-browser).
  * Drop Build-depends on autotools-dev
  * Drop patches from https://github.com/racket/drracket/issues/191, now
    upstream.
  * Update Vcs-* to point to salsa.debian.org

 -- David Bremner <bremner@debian.org>  Sat, 08 Sep 2018 20:07:32 -0300

## racket 7.1+dfsg1

=== debian/changelog ===
racket (7.1+dfsg1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- David Bremner <bremner@debian.org>  Tue, 01 Jan 2019 07:20:00 -0400

racket (7.1+dfsg1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- David Bremner <bremner@debian.org>  Sun, 23 Dec 2018 17:07:32 +0900
